Add users to a department.
Permission Level: Read-Write
POST /users/department/{departmentName}/users
Operation id: DepartmentService_AddDepartmentUsers
Tags: DepartmentService
Parameters
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
departmentName | string | Yes | Name of the department. Required: true |
Security
- Authorization (apiKey)
- Bearer token
Responses
200 — A successful response.
Content type: application/json
default — An unexpected error response.
Content type: application/json
Request body
Required: Yes
application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
tenantId | string | No | |
users | array | No |
{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"users": {
"type": "array",
"items": {
"type": "object",
"properties": {
"tenantId": {
"type": "string",
"description": "The ID of the tenant. Required: false. Defaults to the tenant of the user making the call."
},
"userId": {
"type": "string",
"description": "The user ID. Required: true."
},
"firstName": {
"type": "string",
"description": "The first name. Required: false."
},
"lastName": {
"type": "string",
"description": "The last name. Required: false."
}
}
}
}
}
}
Response models
200 — A successful response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
name | string | No | |
parent | string | No | |
tenantId | string | No | |
ancestors | array | No | |
descendants | array | No | |
displayName | string | No | |
attributes | array | No | |
enabledScopes | object | No | |
creationTime | string (date-time) | No | |
domain | string | No | |
lastUpdated | string (date-time) | No | |
description | string | No | |
expiration | object | No | |
users | array | No |
{
"type": "object",
"properties": {
"name": {
"type": "string"
},
"parent": {
"type": "string"
},
"tenantId": {
"type": "string"
},
"ancestors": {
"type": "array",
"items": {
"type": "string"
}
},
"descendants": {
"type": "array",
"items": {
"type": "string"
}
},
"displayName": {
"type": "string"
},
"attributes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"scope": {
"type": "string"
},
"fieldName": {
"type": "string"
},
"value": {
"type": "string"
},
"domain": {
"type": "string"
}
}
}
},
"enabledScopes": {
"type": "object"
},
"creationTime": {
"type": "string",
"format": "date-time"
},
"domain": {
"type": "string"
},
"lastUpdated": {
"type": "string",
"format": "date-time"
},
"description": {
"type": "string"
},
"expiration": {
"type": "object"
},
"users": {
"type": "array",
"items": {
"type": "object",
"properties": {
"tenantId": {
"type": "string",
"description": "The ID of the tenant. Required: false. Defaults to the tenant of the user making the call."
},
"userId": {
"type": "string",
"description": "The user ID. Required: true."
},
"firstName": {
"type": "string",
"description": "The first name. Required: false."
},
"lastName": {
"type": "string",
"description": "The last name. Required: false."
}
}
}
}
}
}
default — An unexpected error response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
code | integer (int32) | No | |
message | string | No | |
details | array | No |
{
"type": "object",
"properties": {
"code": {
"type": "integer",
"format": "int32"
},
"message": {
"type": "string"
},
"details": {
"type": "array",
"items": {
"type": "object",
"properties": {
"@type": {
"type": "string"
}
}
}
}
}
}